/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.sample.commons;

import java.util.Date;

/**
 * “残高テーブル”の結果格納クラス。
 */
public class ZandakaData {

    /**
     * 顧客ID
     */
    private String kokyakuid;
    
    /**
     * 残高
     */
    private int zandaka;
    
    /**
     * 最終取引日
     */
    private Date saisyutorihikibi;

    /**
     * 顧客IDを返却する。
     * @return 顧客ID
     */
    public String getKokyakuid() {
        return kokyakuid;
    }

    /**
     * 顧客IDを設定する。
     * @param kokyakuid 顧客ID
     */
    public void setKokyakuid(String kokyakuid) {
        this.kokyakuid = kokyakuid;
    }

    /**
     * 残高を返却する。
     * @return 残高
     */
    public int getZandaka() {
        return zandaka;
    }

    /**
     * 残高を設定する。
     * @param zandaka 残高
     */
    public void setZandaka(int zandaka) {
        this.zandaka = zandaka;
    }
    
    /**
     * 最終取引日を返却する。
     * @return 最終取引日
     */
    public Date getSaisyutorihikibi() {
        return saisyutorihikibi;
    }

    /**
     * 最終取引日を設定する。
     * @param saisyutorihikibi 最終取引日
     */
    public void setSaisyutorihikibi(Date saisyutorihikibi) {
        this.saisyutorihikibi = saisyutorihikibi;
    }
    
}
